//**********************************************************************************************************************
//
//  BXVersionUtils.h
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2011 by Boinx Software, Ltd. All rights reserved.
//	Abstract:	Runtime checks for system version
//
//**********************************************************************************************************************


// Version functions...

BOOL BXRunningOnLeopardOrHigher(void);
BOOL BXRunningOnSnowLeopardOrHigher(void);
BOOL BXRunningOnLionOrHigher(void);
BOOL BXRunningOnMountainLionOrHigher(void);
BOOL BXRunningOnMavericksOrHigher(void);
BOOL BXRunningOnYosemiteOrHigher(void);
BOOL BXRunningOnElCapitanOrHigher(void);
BOOL BXRunningOnSierraOrHigher(void);
BOOL BXRunningOnHighSierraOrHigher(void);
BOOL BXRunningOnCatalinaOrHigher(void);
BOOL BXRunningOnBigSurOrHigher(void);


//----------------------------------------------------------------------------------------------------------------------


// Human readable version strings (suitable for user interface)...

NSString* BXSystemVersionString(void);


//----------------------------------------------------------------------------------------------------------------------
